SND_PCM_ADD_CHMAP_CT(9)

NAME
snd_pcm_add_chmap_ctls - create channel-mapping control elements

SYNOPSIS

int snd_pcm_add_chmap_ctls(struct snd_pcm * pcm, int stream, const struct snd_pcm_chmap_elem * chmap, int max_channels, unsigned long private_value, struct snd_pcm_chmap ** info_ret);

ARGUMENTS

pcm
    the assigned PCM instance

stream
    stream direction

chmap
    channel map elements (for query)

max_channels
    the max number of channels for the stream

private_value
    the value passed to each kcontrol's private_value field

info_ret
    store struct snd_pcm_chmap instance if non-NULL

DESCRIPTION

Create channel-mapping control elements assigned to the given PCM stream(s).

RETURN

Zero if successful, or a negative error value.

COPYRIGHT